# Copyright © VNG Realisatie 2022
# Licensed under the EUPL

image:
  tag: "v0.13.4"
config:
  groupID: "fsc-demo"
  managerInternalAddress: https://manager-fsc-nlx-manager-internal:8080
  directoryManagerAddress: https://directory.demo.fsc.nlx.io:8443

ingress:
  enabled: true
  annotations:
    cert-manager.io/cluster-issuer: letsencrypt-prod
  hosts:
    - <hostname nlx-controller>
  tls:
    - secretName: nlx-controller-ingress-tls
      hosts:
        - <hostname nlx-controller>

postgresql:
  hostname: postgresql
  username: postgres
  password: <postgres-password>
  database: nlx_controller
  ## sslMode disabled is not recommended for a production environment
  sslMode: disable

certificates:
  internal:
    caCertificatePEM: |
      -----BEGIN CERTIFICATE-----
      <file: ca.crt>
      -----END CERTIFICATE-----
    existingSecret: controller-internal-tls
